Bug 1455666 - Traditional Chinese (zh_TW) translation not loaded properly
Summary: Traditional Chinese (zh_TW) translation not loaded properly
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Eischmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-25 17:53 UTC by Cheng-Chia Tseng
Modified: 2018-11-27 16:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-27 16:47:11 UTC


Attachments (Terms of Use)
The interface in zh_TW locale uses zh_CN translations instead (133.47 KB, image/png)
2017-05-25 17:53 UTC, Cheng-Chia Tseng
no flags Details

Description Cheng-Chia Tseng 2017-05-25 17:53:22 UTC
Created attachment 1282348 [details]
The interface in zh_TW locale uses zh_CN translations instead

Description of problem:
Although Traditional Chinese language (zh_TW) is highly translated, it showed the zh_CN translation instead in zh_TW locale.


Version-Release number of selected component (if applicable):
4.10

How reproducible:
always

Steps to Reproduce:
1. switch to zh_TW locale
2. launch mediawriter

Actual results:
The translation of the interface strings are displayed in zh_CN ones

Expected results:
The translation should be displayed in zh_TW ones.

Additional info:
See the attachment as the screenshot.

Comment 1 Martin Bříza 2017-06-23 09:58:22 UTC
Thanks, I'll check what's causing this.

Comment 2 Jens Petersen 2018-01-03 08:37:18 UTC
Any update on this one?  F27+?

Comment 3 Cheng-Chia Tseng 2018-01-03 15:28:49 UTC
The zh-tw (traditional Chinese) translation is still not loaded in F27. 
It loads zh-cn (simplified Chinese) translation instead.

Comment 4 Martin Bříza 2018-01-03 15:30:08 UTC
Working on it. No idea where is it coming from, I probably made a mistake in the translation-pulling script but I don't seem to be able to fix it properly. Hopefully in the next version it'll be ok.

Comment 5 Martin Bříza 2018-01-03 16:10:08 UTC
Found the issue. It was in the script, partially and also I had to do a language selection workardound for Mac, which made the difference between the Traditional and Simplified Chinese languages indistinguishable in FMW. 
I'm sorry this issue was present for so long. Expect a new version in the coming days which will address this issue.

Comment 6 Pooja Yadav 2018-02-22 06:01:28 UTC
Reproducible with F27.

Comment 8 Ben Cotton 2018-11-27 15:58:07 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Cheng-Chia Tseng 2018-11-27 16:47:11 UTC
It is fixed in 4.1.2. Confirmed in fedora 29.


Note You need to log in before you can comment on or make changes to this bug.